petsc-3.12.4 2020-02-04
Report Typos and Errors

# MatLMVMSetJ0

Allows the user to define the initial Jacobian matrix from which the LMVM approximation is built up. Inverse of this initial Jacobian is applied using an internal KSP solver, which defaults to GMRES. This internal KSP solver has the "mat_lmvm_" option prefix.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode MatLMVMSetJ0(Mat B, Mat J0)

Note that another LMVM matrix can be used in place of J0, in which case updating the outer LMVM matrix will also trigger the update for the inner LMVM matrix. This is useful in cases where a full-memory diagonal approximation such as MATLMVMDIAGBRDN is used in place of J0.

### Input Parameters

| B | - An LMVM-type matrix
| J0 | - The initial Jacobian matrix

### See Also

MatLMVMSetJ0PC(), MatLMVMSetJ0KSP()

### Level

advanced

### Location

src/ksp/ksp/utils/lmvm/lmvmutils.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages